Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::Subject_Alternative_Name Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Subject_Alternative_Name:

## Public Member Functions
Subject_Alternative_Name * | copy () const override
const AlternativeName & | get_alt_name () const
OID | oid_of () const override
| Subject_Alternative_Name (const AlternativeName &name=AlternativeName())
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

Subject Alternative Name Extension

Definition at line 416 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Subject_Alternative_Name::Subject_Alternative_Name | ( | const AlternativeName & | name = `AlternativeName()` | ) |
| inline explicit

Definition at line 427 of file x509_ext.h.

427 :
428 m_alt_name(name) {}
name
std::string name
Definition: commoncrypto_hash.cpp:23

## Member Function Documentation

Subject_Alternative_Name* Botan::Cert_Extension::Subject_Alternative_Name::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 424 of file x509_ext.h.

425 { return new Subject_Alternative_Name(get_alt_name()); }
Botan::Cert_Extension::Subject_Alternative_Name::get_alt_name
const AlternativeName & get_alt_name() const
Definition: x509_ext.h:419
Botan::Cert_Extension::Subject_Alternative_Name::Subject_Alternative_Name
Subject_Alternative_Name(const AlternativeName &name=AlternativeName())
Definition: x509_ext.h:427

const AlternativeName& Botan::Cert_Extension::Subject_Alternative_Name::get_alt_name | ( |  | ) | const
| inline

Definition at line 419 of file x509_ext.h.

419 { return m_alt_name; }

OID Botan::Cert_Extension::Subject_Alternative_Name::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 422 of file x509_ext.h.

422 { return static_oid(); }
Botan::Cert_Extension::Subject_Alternative_Name::static_oid
static OID static_oid()
Definition: x509_ext.h:421

static OID Botan::Cert_Extension::Subject_Alternative_Name::static_oid | ( |  | ) |
| inline static

Definition at line 421 of file x509_ext.h.

421 { return OID("2.5.29.17"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp